Skip to main content
POST
/
v1
/
wallets
/
{walletId}
/
estimate-fee
Estimate Transfer Fee
curl --request POST \
  --url https://api.beta.getpara.com/v1/wallets/{walletId}/estimate-fee \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "to": "0x742d35Cc6634C0532925a3b844Bc9e7595f...",
  "value": "1000000000000000",
  "chainId": "1",
  "tokenAddress": "<string>",
  "network": "SOLANA"
}
'
{
  "estimatedFee": "0.000756",
  "transferAmount": "0.001",
  "currency": "ETH",
  "gasLimit": "25200",
  "maxFeePerGas": "30000000000",
  "maxPriorityFeePerGas": "2000000000",
  "transactionType": 2,
  "warning": "<string>"
}

Authorizations

X-API-Key
string
header
default:sk_your_secret_key_here
required

Your partner secret key (server-side only)

Headers

X-Request-Id
string<uuid>

UUID for request tracing. Para returns one if omitted.

Path Parameters

walletId
string
required

Wallet ID

Example:

"0a1b2c3d-4e5f-6789-abcd-ef0123456789"

Body

application/json
to
string
required

Destination address

Example:

"0x742d35Cc6634C0532925a3b844Bc9e7595f..."

value
string
required

Transfer amount in smallest unit (wei for ETH, lamports for SOL)

Example:

"1000000000000000"

chainId

Chain ID. Required for EVM wallets, ignored for Solana.

Example:

"1"

tokenAddress
string

Token contract address. EVM: ERC-20 contract. Solana: SPL mint address.

network
enum<string>

Solana network. In production, defaults to SOLANA. In beta, only SOLANA_DEVNET is allowed (and is the default).

Available options:
SOLANA,
SOLANA_DEVNET

Response

Fee estimate

estimatedFee
string
required

Estimated fee in standard units of the native currency (e.g. ETH, SOL)

Example:

"0.000756"

transferAmount
string
required

Transfer amount in standard units of the native currency

Example:

"0.001"

currency
string
required

Native currency symbol (e.g. ETH, SOL)

Example:

"ETH"

gasLimit
string

Estimated gas limit. EVM only.

Example:

"25200"

maxFeePerGas
string

EIP-1559 max fee per gas (in wei). EVM only.

Example:

"30000000000"

maxPriorityFeePerGas
string

EIP-1559 max priority fee per gas (in wei). EVM only.

Example:

"2000000000"

transactionType
enum<integer>

Transaction type: 0 (legacy) or 2 (EIP-1559). EVM only.

Available options:
0,
2
Example:

2

warning
string

Present if estimation used fallback heuristics